scala.collection.jcl
trait CollectionWrapper

[source: `scala/collection/jcl/CollectionWrapper.scala`]

`` `trait` CollectionWrapper[A]
  `extends` Collection[A]`with` IterableWrapper[A]

  Used to wrap Java collections in Scala.

Author
  Sean McDirmid

Direct Known Subclasses:
  BufferWrapper, SetWrapper

Method Summary
`override def` | add (a : A) : Boolean Adds "a" to the collection, return true if "a" is actually added.
`override def` | addAll (that : Iterable[A]) : Boolean Adds all elements in "i" to the collection, return true if any elements are added.
`override def` | elements : MutableIterator[A] The default implementation of a map over mutable iterable collections.
`override def` | equals (that : Any) : Boolean
`override def` | has (a : A) : Boolean
`override def` | hasAll (that : Iterable[A]) : Boolean Type-safe version of containsAll. * * @author Sean McDirmid
`override def` | hashCode : Int
`override def` | size : Int Returns the number of elements in this collection.
`override def` | toString : String
`abstract def` | underlying : Collection Override to specify the collection being accessed through this wrapper. * Collection operations are then routed through the wrapped Java collection.

Methods inherited from IterableWrapper
remove, removeAll, retainAll, isEmpty, clear

Methods inherited from Collection
transform (abstract), ++, -=, +=, +, projection

Methods inherited from MutableIterable
--, -, retain, size0

Methods inherited from Collection
toArray, stringPrefix

Methods inherited from Iterable
concat, ++, map, flatMap, filter, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`abstract` `def` underlying : Collection

  Override to specify the collection being accessed through this wrapper. * Collection operations are then routed through the wrapped Java collection.

Overrides
  IterableWrapper.underlying

`override` `def` has(a : A) : Boolean

Returns
  true if t is in the collection.

`override` `def` elements : MutableIterator[A]

  The default implementation of a map over mutable iterable collections.

Overrides
  IterableWrapper.elements

`override` `def` size : Int

  Returns the number of elements in this collection.

Returns
  number of collection elements.

Overrides
  IterableWrapper.size

`override` `def` hasAll(that : Iterable[A]) : Boolean

  Type-safe version of containsAll. * * @author Sean McDirmid

Overrides
  Collection.hasAll

`override` `def` add(a : A) : Boolean

  Adds "a" to the collection, return true if "a" is actually added.

Overrides
  Collection.add

`override` `def` addAll(that : Iterable[A]) : Boolean

  Adds all elements in "i" to the collection, return true if any elements are added.

Overrides
  Collection.addAll

`override` `def` toString : String

`override` `def` hashCode : Int

`override` `def` equals(that : Any) : Boolean